Skip to main content
GET
/
api
/
v1
/
network
/
events
List network events
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/network/events \
  --header 'Authorization: Bearer <token>'
{
  "events": [
    {
      "full_url": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_type": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "tool_name": "<string>",
      "url_host": "<string>",
      "url_path": "<string>"
    }
  ],
  "pagination": {
    "has_next": true,
    "has_previous": true,
    "page": 123,
    "page_size": 123,
    "total_count": 123,
    "total_pages": 123
  },
  "stats": {
    "by_tool_name": [
      {
        "count": 123,
        "tool_name": "<string>"
      }
    ],
    "earliest_event": "2023-11-07T05:31:56Z",
    "latest_event": "2023-11-07T05:31:56Z",
    "total_events": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Query Parameters

chat_id
string

Filter by chat/conversation ID (omit for all chats)

tool_name
string

Filter by tool name (curl, python, browser)

host
string

Filter by request host

path
string

Filter by request path

method
string

Filter by HTTP method

status_min
integer

Minimum response status code

Required range: 100 <= x <= 599
status_max
integer

Maximum response status code

Required range: 100 <= x <= 599
source_type
enum<string>

Filter by event source type

Available options:
script,
cli,
browser
since
string<date-time>

Only events after this timestamp (RFC 3339)

until
string<date-time>

Only events before this timestamp (RFC 3339)

Substring search across full URL

q
string

HTTPQL query (Caido-compatible syntax with neo.* extensions)

page
integer
default:1

Page number

Required range: x >= 1
page_size
integer
default:50

Results per page

Required range: 1 <= x <= 100
sort_by
enum<string>
default:timestamp

Sort field

Available options:
timestamp,
captured_at
sort_order
enum<string>
default:desc

Sort order

Available options:
asc,
desc
show_stats
enum<string>

Return statistics instead of events

Available options:
true
fields
string

Comma-separated list of fields to return

Response

List of events or statistics

events
object[]
pagination
object
stats
object